interface IKeywords {
    inKeyword: string;
    outKeyword: string;
}
interface IOptions {
    isUnion: boolean;
    isCaseSensitive: boolean;
    separators: string[];
}
export declare function keywordFilter<T, K extends keyof T>(arr: T[], key: T[K] extends string ? K : never, keywords: Partial<IKeywords>, options: Partial<IOptions>): T[];
export declare function tokenizeSeparators(str: string, separators: string[]): string[];
export {};
